
QGIS Application - Bug report #2973

Selection tool is not selecting a complex object

2010-08-29 07:25 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13033

Description

Try selecting a big polygon in a attached shapefile with the first selection tool. Big polygon cannot be selected, while smaller ones are

selected alright.

Rings and self-intersection error are present in the big polygon, not sure if this is related though.

History

#1 - 2010-08-30 06:44 PM - Jeremy Palmer

Yip there is a bug in the single select tool. The tool made the assumption that feature ids are always >0, when in fact a feature id can be 0 and in the case

of editing can be negative integer values. The attached patch fixes the issue.

#2 - 2010-09-19 01:28 PM - Maxim Dubinin

can somebody review and apply? current behavior makes selection tool unusable in many circumstances

#3 - 2010-09-19 02:26 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

applied in commit:f2e5e4b9 (SVN r14260).  Thanks again Jeremy.

#4 - 2010-09-19 06:32 PM - dr -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Select features by rectangle, by polygon, by radius and by freehand doesn't work on this polygon.

#5 - 2010-09-20 06:35 PM - Jeremy Palmer

I can get it to work for all of the select tools on this dataset.

I suspect the problem dr is having is the selection tools now use contains rather than intersects by default. Maybe the best solution is to make intersects the
default method for all selection tools. Then provide an option to change it to contains if the user prefers.

I have made a patch patch in #2938 that hopefully addresses this issue.

#6 - 2010-09-20 07:09 PM - Maxim Dubinin

this would be really nice if it can work in both modes! I agree that default 'intersect' makes a lot of sense. Thanks for working on this.

#7 - 2010-11-03 10:52 AM - dr -

- Resolution set to fixed

- Status changed from Feedback to Closed

Seems to be fixed. 'Intersect' selection mode is default now.

Files

e008n07f.zip 89.8 KB 2010-08-29 Maxim Dubinin

single_select.patch 901 Bytes 2010-08-30 Jeremy Palmer
https://trac.osgeo.org/qgis/attachment/ticket/2938/select_feature_option.diff

